Bug 888232 - Installation on UEFI system failed (with default settings)
Summary: Installation on UEFI system failed (with default settings)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 869613
TreeView+ depends on / blocked
 
Reported: 2012-12-18 10:55 UTC by Florian Weimer
Modified: 2014-02-05 13:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 13:59:32 UTC
Type: Bug


Attachments (Terms of Use)
Partition layout after installation (811 bytes, text/plain)
2012-12-18 10:55 UTC, Florian Weimer
no flags Details
Contents of the original EFI partition (21.69 KB, text/plain)
2012-12-18 10:55 UTC, Florian Weimer
no flags Details
Files from /var/log/anaconda after installation (165.60 KB, application/octet-stream)
2012-12-18 11:12 UTC, Florian Weimer
no flags Details

Description Florian Weimer 2012-12-18 10:55:09 UTC
Created attachment 665432 [details]
Partition layout after installation

Description of problem:

Installing on an UEFI system with the default options fails.  I suspect this is because the installation creates a separate /boot/efi partition, instead of re-using the existing one.

Version-Release number of selected component (if applicable):

Fedora-18-TC3-x86_64-DVD.iso

How reproducible:

Always.

Steps to Reproduce:
1. Make room for the installation on the hard disk (by resizing or deleting a partition).
2. Install Fedora.
3. Reboot.
  
Actual results:

Windows 8 is booted.

Expected results:

A boot selection appears, offering a choice between Fedora and Windows 8.

Additional info:

Booting manually from the Fedora partition using the built-in boot device selector in Windows 8 does not work, either.  Copying the "fedora" tree into the UEFI partition (under /efi) still does not allow booting.

Comment 1 Florian Weimer 2012-12-18 10:55:40 UTC
Created attachment 665433 [details]
Contents of the original EFI partition

Comment 2 Florian Weimer 2012-12-18 11:12:27 UTC
Created attachment 665447 [details]
Files from /var/log/anaconda after installation

Comment 3 Fedora End Of Life 2013-12-21 09:58:08 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2014-02-05 13:59:35 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.